

clc
clear all
close all

load aaa_theory
load aaa_test

[f1, H1]  = plot_pwelc(aaa_theory);
[f2, H2]  = plot_pwelc(aaa_test);

plot(f1,H1,  'r-', 'LineWidth', 1.5 );
hold on
plot(f2,H2,  'b-' ,  'LineWidth', 1.5   );

legend( 'the initial MASP algorithm', 'the MASP-NRS algorithm' );
grid on
axis([0,  0.03, -25, 7])
xlabel('Normalized Frequency')
ylabel('power spectrum density (dB)');





